SuSE 10 Security Update : popt (ZYPP Patch Number 7069)

This script is Copyright (C) 2010-2012 Tenable Network Security, Inc.


Synopsis :

The remote SuSE 10 host is missing a security-related patch.

Description :

This update fixes a security problem where RPM misses to clear the
SUID/SGID bit of old files during package updates. (CVE-2010-2059)

Also the following bugs were fixed :

- do not use glibc for passwd/group lookups when --root is
used [bnc#536256]

- disable cpio md5 checking for repackaged rpms
[bnc#572280]

See also :

http://support.novell.com/security/cve/CVE-2010-2059.html

Solution :

Apply ZYPP patch number 7069.

Risk factor :

High / CVSS Base Score : 7.2
(CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C)

Family: SuSE Local Security Checks

Nessus Plugin ID: 49917 ()

Bugtraq ID:

CVE ID: CVE-2010-2059

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now